> For the complete documentation index, see [llms.txt](https://docs.cottoncast.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cottoncast.com/api-reference/api-endpoints.md).

# API Endpoints

Our API is built upon  [REST](http://en.wikipedia.org/wiki/Representational_State_Transfer). It's therefore easy understand and predictable for any developer. Our endpoints accept raw request bodies and return [JSON-encoded](http://www.json.org/) responses. It also uses standard HTTP response codes and authentication.

## Authentication

Our endpoints use basic Authentication. The username is the ID of the sales channel and the password is the secret. Both can be found in your [Studio account](https://brands.cottoncast.com). You can also reset the password in your account.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cottoncast.com/api-reference/api-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
